Get cart
curl --request GET \
--url https://api.quickshops.app/v1/cart/{cartId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/cart/{cartId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.quickshops.app/v1/cart/{cartId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/cart/{cartId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"storeId": "<string>",
"lines": [
{
"productId": "<string>",
"quantity": 123,
"product": {
"_id": "<string>",
"storeId": "<string>",
"name": "<string>",
"description": "<string>",
"priceInCents": 123,
"currency": "<string>",
"type": "digital",
"billingInterval": "month",
"imageUrl": "<string>",
"isActive": true,
"category": "<string>",
"details": [
"<string>"
]
}
}
],
"totals": {
"subtotal": 123,
"total": 123,
"currency": "<string>"
}
}
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}Get cart
Fetch a cart by ID.
GET
/
v1
/
cart
/
{cartId}
Get cart
curl --request GET \
--url https://api.quickshops.app/v1/cart/{cartId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/cart/{cartId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.quickshops.app/v1/cart/{cartId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/cart/{cartId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"storeId": "<string>",
"lines": [
{
"productId": "<string>",
"quantity": 123,
"product": {
"_id": "<string>",
"storeId": "<string>",
"name": "<string>",
"description": "<string>",
"priceInCents": 123,
"currency": "<string>",
"type": "digital",
"billingInterval": "month",
"imageUrl": "<string>",
"isActive": true,
"category": "<string>",
"details": [
"<string>"
]
}
}
],
"totals": {
"subtotal": 123,
"total": 123,
"currency": "<string>"
}
}
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}Was this page helpful?
⌘I